Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.SignalGroup Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | Events | List of all members
GLNeuroTech.Devices.Common.SignalGroup Class Reference

Represents a logical group of signals from a Great Lakes NeuroTechnologies device. More...

Inheritance diagram for GLNeuroTech.Devices.Common.SignalGroup:

## Public Member Functions

IEnumerator< Signal > | GetEnumerator ()
void | Dispose ()
| Dispose a signal. More...

## Properties

Signal | this[int index]`[get]`
| Returns a signal referenced by position within the group. More...
Signal | this[string name]`[get]`
| Returns a signal referenced by a unique string name. More...
int | Count`[get]`
| The number of signals contained in the SignalGroup More...
TimeSpan | SampleInterval`[get]`
| The interval between sample readings for this Signal Group. More...
uint | SamplesPerSecond`[get]`
| The number of samples read per second. More...
string | Name`[get, set]`
| The name of this Signal Group. More...
int | DataArrivedEventThreshold`[get, set]`
| The number of samples to read before raising the SignalDataAvailable event. More...

## Events

EventHandler< SignalDataEventArgs > | SignalDataAvailable
| Notifies subscribers that new signal data is available to be read. More...

## Detailed Description

Represents a logical group of signals from a Great Lakes NeuroTechnologies device.

Signal groups are used to group together signals that share common characteristics, such as sample rates, or physical properties of the device (i.e. multiple signals recorded from a single physical sensor). Signals can be referenced by numerical index or by name.

## Member Function Documentation

## ◆ Dispose()

void GLNeuroTech.Devices.Common.SignalGroup.Dispose | ( |  | ) |

Dispose a signal.

## ◆ GetEnumerator()

IEnumerator<Signal> GLNeuroTech.Devices.Common.SignalGroup.GetEnumerator | ( |  | ) |

## Property Documentation

## ◆ Count

int GLNeuroTech.Devices.Common.SignalGroup.Count

get

The number of signals contained in the SignalGroup

## ◆ DataArrivedEventThreshold

int GLNeuroTech.Devices.Common.SignalGroup.DataArrivedEventThreshold

getset

The number of samples to read before raising the SignalDataAvailable event.

## ◆ Name

string GLNeuroTech.Devices.Common.SignalGroup.Name

getset

The name of this Signal Group.

## ◆ SampleInterval

TimeSpan GLNeuroTech.Devices.Common.SignalGroup.SampleInterval

get

The interval between sample readings for this Signal Group.

## ◆ SamplesPerSecond

uint GLNeuroTech.Devices.Common.SignalGroup.SamplesPerSecond

get

The number of samples read per second.

## ◆ this[int index]

Signal GLNeuroTech.Devices.Common.SignalGroup.this[int index]

get

Returns a signal referenced by position within the group.

Parameters

  index | The zero-based index of the signal to be returned

Returns

## ◆ this[string name]

Signal GLNeuroTech.Devices.Common.SignalGroup.this[string name]

get

Returns a signal referenced by a unique string name.

Parameters

  name | The name of the signal to retrieve.

Returns
  The signal corresponding to the specified name.

## Event Documentation

## ◆ SignalDataAvailable

EventHandler<SignalDataEventArgs> GLNeuroTech.Devices.Common.SignalGroup.SignalDataAvailable

Notifies subscribers that new signal data is available to be read.

The frequency at which this event is raised is controlled by DataArrivedEventThreshold